Skip to main content

Set project default package size

PUT https://delivery-api.paysera.com/rest/v1/projects/{projectId}/default-package-size

Set or update the default package size for a project.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, please refer to the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
projectIdstring✓Project identifier

Request Body​

FieldTypeRequiredDescription
codestring✓Package size code

Example​

Request​

PUT https://delivery-api.paysera.com/rest/v1/projects/{projectId}/default-package-size
Content-Type: application/json
Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"
{}

Response​

{
"id": 1,
"code": "medium",
"weight": 5000
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://delivery-api.paysera.com

RESPONSE

Default package size set successfully
{
"id": 1,
"code": "medium",
"weight": 5000
}